Subject: bug#68665: closed (Re: [bug#68665] [PATCH 00/12 rust-team] gnu: Add Rust dependencies of python-cramjam.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 23 Jan 2024 14:37:04 +0000

Your bug report

#68665: [PATCH 00/12 rust-team] gnu: Add Rust dependencies of python-cramjam.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68665: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68665
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#68665] [PATCH 00/12 rust-team] gnu: Add Rust dependencies of python-cramjam.
From: Efraim Flashner <[email-masked]>
To: Troy Figiel <[email-masked]>
Cc: [email-masked]
Date: Tue, 23 Jan 2024 16:36:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Jan 23, 2024 at 12:02:21PM +0100, Troy Figiel wrote:
> Two short points:
> 
> 1. It seems I forgot to add my copyright. In the past I added it to
> crates-graphics.scm and not to crates-io.scm as I thought. I could add
> an additional 13th patch, or maybe it would be easier to include it in
> one of the other patches.

I've added it for you to crates-io, and also to rust-apps.

> 2. How is the cross-build-system depedency best handled? In the git logs
> I have found two merges of the rust branch into master (1 month and 9
> months ago), so if the merge happens once every ~6 months, it could be a
> long wait. I am not in any rush, but in the meantime it does block me
> from upstreaming other Python patches that depend on python-cramjam. If
> there is a better way to handle this, I would love to know.

We don't really have a target.  I figured every 3 months or so, enough
time to cover 2 rounds of rust version bumps, would probably be a good
cadence.  Checking qa.guix.gnu.org I don't see that anyone has asked for
a merge currently, which is about when I'd plan on jumping in.

In terms of goals for the branch currently, I'd like to make sure that
it re-adds support for riscv64 (up to 1.75 locally!) and try to figure
out the issue I'm having on ppc64le with building rust-1.73.  And also
move more packages out of crates-io to other modules, it's still over
3000.

Also, patches pushed.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH 00/12 rust-team] gnu: Add Rust dependencies of python-cramjam.
From: Troy Figiel <[email-masked]>
To: [email-masked]
Date: Tue, 23 Jan 2024 00:01:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series adds the necessary Rust dependencies for python-cramjam.

Although I already have a working implementation of python-cramjam in my own channel, I have decided to split the Rust and Python parts into separate issues to allow for easier reviews.

Troy Figiel (12):
  gnu: rust-lz4-sys-1: Update to 1.9.4.
  gnu: rust-lz4-sys-1: Don't skip the build.
  gnu: rust-lz4-1: Update to 1.24.0.
  gnu: rust-lz4-1: Don't skip the build.
  gnu: rust-cbindgen-0.24: Update to 0.24.5.
  gnu: Add rust-target-lexicon-0.11.
  gnu: Add rust-libdeflate-sys-1.
  gnu: rust-libdeflate-sys-0.11: Inherit from rust-libdeflate-sys-1.
  gnu: Add rust-libdeflater-1.
  gnu: rust-libdeflater-0.11: Inherit from rust-libdeflater-1.
  gnu: Add rust-inline-c-macro-0.1.
  gnu: Add rust-inline-c-0.1.

 gnu/packages/crates-io.scm | 139 ++++++++++++++++++++++++++++++++-----
 gnu/packages/rust-apps.scm |   4 +-
 2 files changed, 124 insertions(+), 19 deletions(-)

base-commit: 23a985d6061adf30a660c281fdb32d2e5cdec269
-- 
2.42.0